CREATE TABLE `xplugin_knoellmarketing_individual_code_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parentId` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `sort` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `xplugin_knoellmarketing_individual_code_entry` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `categoryId` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `code` longtext,
  `type` int(3) DEFAULT NULL,
  `insertType` int(3) DEFAULT NULL,
  `insertPosition` varchar(250) DEFAULT NULL,
  `sort` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `xplugin_knoellmarketing_individual_code_filter` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catId` int(11) DEFAULT NULL,
  `entryId` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `filterType` int(3) DEFAULT NULL,
  `value1` longtext,
  `value2` longtext,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `xplugin_knoellmarketing_individual_code_variable` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `variable` varchar(100) DEFAULT NULL,
  `value` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
